%define major 2
%define libname %mklibname lcms2_ %{major}
%define devname %mklibname lcms2 -d

Summary:	Color Management Engine
Name:		lcms2
Version:	2.9
Release:	1
License:	MIT
Group:		Graphics
Url:		http://www.littlecms.com/
Source0:	http://www.littlecms.com/%{name}-%{version}.tar.gz
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(zlib)

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.

%files
%doc AUTHORS COPYING
%{_bindir}/*
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
This package provides the shared lcms2 library.

%files -n %{libname}
%{_libdir}/liblcms2.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for LittleCMS
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for LittleCMS2.

%files -n %{devname}
%doc doc/*.pdf
%{_includedir}/*
%{_libdir}/liblcms2.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--program-suffix=2
%make

%install
%makeinstall_std


%changelog

* Wed Jun 13 2018 Denis Silakov <dsilakov@virtuozzo.com> 2.9-1
- (9b2df5a) Updated to 2.9


